<?php

namespace v1\models;

use app\models\Categoria as ModelsCategoria;

class Categoria extends ModelsCategoria {

  public function fields () {
    return[
      'id',
      'nombre',
      'orden',
      'creado',
      'modificado',
      'eliminado',
    ];
  }

  public function extraFields () {
    return[
      'sujetoObligados'
    ];
  }

  public function getSujetoObligados() {
    return $this->hasMany(SujetoObligado::class, ['idCategoria' => 'id']);
  }
}