<?php

namespace v1\models;

use app\models\EstatusPermisoUsuario as ModelsEstatusPermisoUsuario;

class EstatusPermisoUsuario extends ModelsEstatusPermisoUsuario {

	public function fields() {
		return [
			'id',
			'idEstatus',
			'idSubestatus',
			'idUsuario',
			'creado',
			'modificado',
			'eliminado',
		];
	}

	public function extraFields() {
		return [
			'estatus',
			'subestatus',
			'usuario',
		];
	}

	public function getEstatus() {
		return $this->hasOne(Estatus::class, ['id' => 'idEstatus']);
	}

	public function getSubestatus() {
		return $this->hasOne(Estatus::class, ['id' => 'idSubestatus']);
	}

	public function getUsuario() {
		return $this->hasOne(Usuario::class, ['id' => 'idUsuario']);
	}
}
