<?php

namespace v1\models;

use app\models\EstatusSolicitud as ModelsEstatusSolicitud;

class EstatusSolicitud extends ModelsEstatusSolicitud {
  public $creado;

  public function fields() {
    return [
      'idEstatusInicial',
      'idEstatusFinal',
      'idEstatusAut',
    ];
  }

  public function extraFields() {
    return [
      'solicitudes'
    ];
  }

  public function getSolicitudes() {
    return $this->hasMany(Solicitud::class, ['idEstatus' => 'id']);
  }
}
