<?php

namespace v1\models;

use app\models\Mensaje as ModeloMensaje;

class Mensaje extends ModeloMensaje {

	public function fields() {
		return [
			'id',
			'idMensaje',
			'idMedia',
			'creado',
			'modificado',
			'eliminado',
		];
	}

	public function extraFields() {
		return [
			'mensaje',
			'media',
		];
	}

	public function getMedia() {
		return $this->hasOne(Media::class, ['id' => 'idMedia']);
	}

	public function getMensaje() {
		return $this->hasOne(Mensaje::class, ['id' => 'idMensaje']);
	}
}
