<?php

namespace v1\models;

use app\models\MotivosInconformidad as ModeloMotivosInconformidad;

class MotivosInconformidad extends ModeloMotivosInconformidad {

  public function fields() {
    return [
      'id',
      'nombre',
      'creado',
      'modificado',
      'eliminado',
    ];
  }

  public function extraFields() {
    return [
      'recursosRevision',
    ];
  }
  public function getRecursosRevision() {
    return $this->hasMany(RecursoRevision::class, ['idMotivoIncoformidad' => 'id']);
  }
}
