<?php

namespace v1\models;

use app\models\Ocupacion as ModeloOcupacion;

class Ocupacion extends ModeloOcupacion {

	public function fields() {
		return [
			'id',
			'nombre',
			'descripcion',
			'creado',
			'modificado',
			'eliminado',
		];
	}

	public function extraFields() {
		return [
			'particulares'
		];
	}

	public function getParticulares() {
		return $this->hasMany(Particular::class, ['idOcupacion' => 'id']);
	}
}
