<?php

namespace v1\models;

use app\models\Pais as ModeloPais;

class Pais extends ModeloPais {

	public function fields() {
		return [
			'id',
			'nombre',
			'creado',
			'modificado',
			'eliminado',
		];
	}

	public function extraFields() {
		return [
			'estados',
			'particualeres'
		];
	}

	public function getEstados() {
		return $this->hasMany(Estado::class, ['idPais' => 'id']);
	}

	public function getParticulares() {
		return $this->hasMany(Particular::class, ['idPais' => 'id']);
	}
}
