<?php

namespace v1\models;

use app\models\Particular as ModeloParticular;

class Particular extends ModeloParticular {

	public function fields() {
		return [
			'id',
      'tipoEntidad',
      'tratamiento',
      'usuario',
      'password',
      'nombre',
      'primerApellido',
      'segundoApellido',
      'rfc',
      'curp',
      'sexo',
      'fechaNacimiento',
      'edad',
      'idOcupacion',
      'razonSocial',
      'calle',
      'numeroExterior',
      'numeroInterior',
      'codigoPostal',
      'ladaTelefono',
      'telefono',
      'correo',
      'idEstado',
      'estadoNombre',
      'idMunicipio',
      'municipioNombre',
      'idPais',
      'paisNombre',
      'notifiaciones',
      'preguntaSeguridad',
      'respuestaSeguridad',
      'fax',
      'celular',
      'token',
      'escolaridad',
      'otraEscolaridad',
      'ocupacion',
      'otroMedio',
      'colonia',
      'creado',
      'modificado',
      'eliminado',
		];
	}

	public function extraFields() {
		return [
			'pais',
			'estado',
			'municipio',
			'ocupacion',
		];
	}

	public function getEstado() {
    return $this->hasOne(Estado::class, ['id' => 'idEstado']);
  }

  public function getMunicipio() {
    return $this->hasOne(Municipio::class, ['id' => 'idMunicipio']);
  }

  public function getOcupacion() {
    return $this->hasOne(Ocupacion::class, ['id' => 'idOcupacion']);
  }

  public function getPais() {
    return $this->hasOne(Pais::class, ['id' => 'idPais']);
  }
}
