<?php

namespace v1\models;

use app\models\SolicitudAcusePersonas as ModeloSolicitudAcusePersonas;

class SolicitudAcusePersonas extends ModeloSolicitudAcusePersonas {

	public function fields() {
		return [
			'id',
			'idSolicitud',
			'tokenRecepcion',
			'confirmado',
			'creado',
			'modificado',
			'eliminado',
		];
	}

	public function extraFields() {
		return [
			'solicitudAcuse',
		];
	}

	public function getSolicitudAcuse() {
		return $this->hasOne(SolicitudAcuse::class, ['id' => 'idSolicitud']);
	}
}
