<?php

namespace v1\models;

use app\models\SolicitudMedia as ModelsSolicitudMedia;

class SolicitudMedia extends ModelsSolicitudMedia {

  public function fields () {
    return[
      'id',
      'idSolicitud',
      'idMedia',
      'creado',
      'modificado',
      'eliminado',
    ];
  }

  public function extraFields () {
    return[
      'media',
      'solicitud'
    ];
  }

  public function getMedia() {
    return $this->hasOne(Media::class, ['id' => 'idMedia']);
  }

  public function getSolicitud() {
    return $this->hasOne(Solicitud::class, ['id' => 'idSolicitud']);
  }
}