<?php

namespace v1\models;

use app\models\TemaSolicitud as ModeloTemaSolicitud;

class TemaSolicitud extends ModeloTemaSolicitud
{

  public function fields()
  {
    return [
      'id',
      'nombre',
      'creado',
      'modificado',
      'eliminado',
    ];
  }

  public function extraFields()
  {
    return [
      "sutemaSolicitudes"
    ];
  }

    /**
   * Gets query for [[SubtemaSolicituds]].
   *
   * @return \yii\db\ActiveQuery
   */
  public function getSubtemaSolicitudes()
  {
    return $this->hasMany(SubtemaSolicitud::class, ['idTema' => 'id']);
  }

}
