<?php

namespace v1\controllers;

use common\data\Respuesta;
use common\rest\JsonController;

class EntregaInformacionController extends JsonController {

  public function actionIndex() {

    $seguros = [
      ["id" => 1, "label" => "Portal SISTAI"],
      ["id" => 2, "label" => "CD-ROM (con costo)"],
      ["id" => 3, "label" => "Consulta Directa"],
      ["id" => 4, "label" => "Copias Certificadas (con costo)"],
      ["id" => 5, "label" => "Copias Simples (con costo)"],
      ["id" => 6, "label" => "Copia Digitalizada"],
      ["id" => 7, "label" => "Otro"],
    ];

    return (new Respuesta($seguros))
      ->mensaje("EntregaInformacion");
  }
}