<?php

namespace v1\models;

use app\models\AclaracionMedia as ModelsAclaracionMedia;

class AclaracionMedia extends ModelsAclaracionMedia {

  public function fields () {
    return[
      'id',
      'idMedia',
      'idAclaracion',
      'creado',
      'modificado',
      'eliminado',
      'tipo',
    ];
  }

  public function extraFields () {
    return[
      'aclaracion',
      'media'
    ];
  }

  public function getAclaracion() {
    return $this->hasOne(Aclaracion::class, ['id' => 'idAclaracion']);
  }

  public function getMedia() {
    return $this->hasOne(Media::class, ['id' => 'idMedia']);
  }
}