<?php

namespace v1\models;

use app\models\EstatusOld as ModelsEstatusOld;

class EstatusOld extends ModelsEstatusOld {

  public function fields() {
    return [
      'id',
      'clave',
      'color',
      'tipoRespuesta',
      'leyenda',
      'creado',
      'modificado',
      'eliminado',
      'puedeAdjuntarArchivo',
      'etiquetaObservaciones',
      'descripcion',
      'descripcionParticular',
      'descripcionFisica',
    ];
  }

  public function extraFields()
  {
    return [
      'bitacoraEstatuses',
      'bitacoraEstatuses0',
      'mensajes',
    ];
  }

  public function getBitacoraEstatuses() {
    return $this->hasMany(BitacoraEstatus::class, ['estatusInicial' => 'id']);
  }

  public function getBitacoraEstatuses0() {
    return $this->hasMany(BitacoraEstatus::class, ['estatusFinal' => 'id']);
  }

  public function getMensajes() {
    return $this->hasMany(Mensaje::class, ['idEstatus' => 'id']);
  }
}
