<?php

namespace v1\models;

use app\models\MediaBitacoraEstatus as ModelsMediaBitacoraEstatus;

class MediaBitacoraEstatus extends ModelsMediaBitacoraEstatus {

  public function fields() {
    return [
      'id',
      'idBitacoraEstatus',
      'idMedia',
      'creado',
      'modificado',
      'eliminado',
    ];
  }

  public function extraFields() {
    return [
      'bitacoraEstatus',
      'media',
    ];
  }

  public function getBitacoraEstatus() {
    return $this->hasOne(BitacoraEstatus::class, ['id' => 'idBitacoraEstatus']);
  }

  public function getMedia() {
    return $this->hasOne(Media::class, ['id' => 'idMedia']);
  }
}
