<?php

namespace v1\models;

use app\models\Municipio as ModeloMunicipio;

class Municipio extends ModeloMunicipio {

	public function fields() {
		return [
			'id',
			'nombre',
			'idEstado',
			'creado',
			'modificado',
			'eliminado',
		];
	}

	public function extraFields() {
		return [
			'estado',
			'particulares'
		];
	}

	public function getEstado() {
		return $this->hasOne(Estado::class, ['id' => 'idEstado']);
	}

	public function getParticulares() {
		return $this->hasMany(Particular::class, ['idMunicipio' => 'id']);
	}
}
