<?php

namespace v1\models;

use app\models\Ponencia as ModeloPonencia;

class Ponencia extends ModeloPonencia {

	public function fields() {
		return [
			'id',
			'nombre',
			'clave',
			'creado',
			'modificado',
			'eliminado',
		];
	}

	public function extraFields() {
		return [
			'ponenciaUsuario',
		];
	}

	public function getPonenciaUsuarios() {
		return $this->hasMany(PonenciaUsuario::class, ['idPonencia' => 'id']);
	}
}
