<?php

namespace v1\models;

use app\models\PonenciaUsuario as ModeloPonenciaUsuario;

class PonenciaUsuario extends ModeloPonenciaUsuario {

	public function fields() {
		return [
			'id',
			'nombre',
			'clave',
			'creado',
			'modificado',
			'eliminado',
		];
	}

	public function extraFields() {
		return [
			'ponencia',
			'usuario',
		];
	}

	public function getPonencia() {
		return $this->hasOne(Ponencia::class, ['id' => 'idPonencia']);
	}

	public function getUsuario() {
		return $this->hasOne(Usuario::class, ['id' => 'idUsuario']);
	}
}
