<?php

namespace v1\models;

use app\models\RecuperarContrasena as ModelsRecuperarContrasena;

class RecuperarContrasena extends ModelsRecuperarContrasena {

	public function fields() {
		return [
			'id',
			'idUsuario',
			'token',
			'utilizado',
			'cancelado',
			'creado',
			'modificado',
			'eliminado',
		];
	}

	public function extraFields() {
		return [
			'usuario',
		];
	}

	public function getUsuario() {
		return $this->hasOne(Usuario::class, ['id' => 'idUsuario']);
	}
}
