<?php

namespace v1\models;

use app\models\RecursoManifestacionMedia as ModelsRecursoManifestacionMedia;

class RecursoManifestacionMedia extends ModelsRecursoManifestacionMedia {

  public function fields() {
    return [
      'id',
      'idRecursoManifestacion',
      'idMedia',
      'creado',
      'modificado',
      'eliminado',
    ];
  }

  public function extraFields() {
    return [
      'media',
      'recursoManifestacion',
    ];
  }

  public function getMedia() {
    return $this->hasOne(Media::class, ['id' => 'idMedia']);
  }

  public function getRecursoManifestacion() {
    return $this->hasOne(RecursoManifestacion::class, ['id' => 'idRecursoManifestacion']);
  }
}
