<?php

namespace v1\models;

use app\models\RecursoRevisionMedia as ModeloRecursoRevisionMedia;

class RecursoRevisionMedia extends ModeloRecursoRevisionMedia {

	public function fields() {
		return [
			'id',
			'idRecursoRevision',
			'idMedia',
			'creado',
			'modificado',
			'eliminado',
		];
	}

	public function extraFields() {
		return [
			'media',
			'recursoRevision',
		];
	}
	public function getMedia() {
		return $this->hasOne(Media::class, ['id' => 'idMedia']);
	}

	public function getRecursoRevision() {
		return $this->hasOne(RecursoRevision::class, ['id' => 'idRecursoRevision']);
	}
}
