<?php

namespace v1\models;

use app\models\SolicitudAcuseMedia as ModeloSolicitudAcuseMedia;

class SolicitudAcuseMedia extends ModeloSolicitudAcuseMedia {

	public function fields() {
		return [
			'id',
			'idSolicitudAcuse',
			'idMedia',
			'creado',
			'modificado',
			'eliminado',
		];
	}

	public function extraFields() {
		return [
			'media',
			'solicitudAcuse',
		];
	}

	public function getMedia() {
		return $this->hasOne(Media::class, ['id' => 'idMedia']);
	}

	public function getSolicitudAcuse() {
		return $this->hasOne(SolicitudAcuse::class, ['id' => 'idSolicitudAcuse']);
	}
}
