<?php

namespace v1\models;

use app\models\SolicitudExpediente as ModeloSolicitudExpediente;

class SolicitudExpediente extends ModeloSolicitudExpediente {

	public function fields() {
		return [
      'id',
      'idSolicitud',
      'idUsuario',
      'idMedia',
      'fecha',
      'tipo',
      'validado',
      'creado',
      'modificado',
      'eliminado',
    ];
  }

  public function extraFields() {
    return [
      'media',
      'solicitud',
      'usuario',
    ];
  }

  public function getMedia() {
    return $this->hasOne(Media::class, ['id' => 'idMedia']);
  }

  public function getSolicitud() {
    return $this->hasOne(Solicitud::class, ['id' => 'idSolicitud']);
  }

  public function getUsuario() {
    return $this->hasOne(Usuario::class, ['id' => 'idUsuario']);
  }
  
}
