<?php

namespace v1\models;

use app\models\SubtemaSolicitud as ModeloSubtemaSolicitud;

class SubtemaSolicitud extends ModeloSubtemaSolicitud
{

  public function fields()
  {
    return [
      'id',
      'nombre',
      'idTema',
      'creado',
      'modificado',
      'eliminado',
    ];
  }

  public function extraFields()
  {
    return [
      "temaSolicitud"
    ];
  }

    /**
     * Gets query for [[IdTema0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getTema()
    {
        return $this->hasOne(TemaSolicitud::class, ['id' => 'idTema']);
    }
}
